<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Mon May 11 16:25:08 CEST 2020 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-11">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#get_average(thesis.agents)">get_average(agents)</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#get_car_combustion_type()">get_car_combustion_type()</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#get_commute_distance()">get_commute_distance()</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#get_current_car_type()">get_current_car_type()</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#get_EV_Happiness()">get_EV_Happiness()</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#get_happiness()">get_happiness()</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Residence.html#get_has_EV()">get_has_EV()</a></span> - Method in class thesis.<a href="../thesis/Residence.html" title="class in thesis">Residence</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Neighbourhood.html#get_loadPoles()">get_loadPoles()</a></span> - Method in class thesis.<a href="../thesis/Neighbourhood.html" title="class in thesis">Neighbourhood</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#get_non_EV_Happiness()">get_non_EV_Happiness()</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Neighbourhood.html#get_non_loadPoles()">get_non_loadPoles()</a></span> - Method in class thesis.<a href="../thesis/Neighbourhood.html" title="class in thesis">Neighbourhood</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Residence.html#get_numbr_people(int)">get_numbr_people(int)</a></span> - Method in class thesis.<a href="../thesis/Residence.html" title="class in thesis">Residence</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#get_overview_facilities_used()">get_overview_facilities_used()</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Residence.html#get_personality_type()">get_personality_type()</a></span> - Method in class thesis.<a href="../thesis/Residence.html" title="class in thesis">Residence</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Neighbourhood.html#get_total_EV()">get_total_EV()</a></span> - Method in class thesis.<a href="../thesis/Neighbourhood.html" title="class in thesis">Neighbourhood</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Parking_Space.html#get_with_lp_or_not()">get_with_lp_or_not()</a></span> - Method in class thesis.<a href="../thesis/Parking_Space.html" title="class in thesis">Parking_Space</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Vehicles/EV.html#getBattery_capacity()">getBattery_capacity()</a></span> - Method in class Vehicles.<a href="../Vehicles/EV.html" title="class in Vehicles">EV</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/ParkingSpaceStyle2D.html#getColor(java.lang.Object)">getColor(Object)</a></span> - Method in class thesis.<a href="../thesis/ParkingSpaceStyle2D.html" title="class in thesis">ParkingSpaceStyle2D</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Vehicles/vehicle.html#getEmissions()">getEmissions()</a></span> - Method in class Vehicles.<a href="../Vehicles/vehicle.html" title="class in Vehicles">vehicle</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Vehicles/vehicle.html#getFuel_type()">getFuel_type()</a></span> - Method in class Vehicles.<a href="../Vehicles/vehicle.html" title="class in Vehicles">vehicle</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Lease.html#getLease()">getLease()</a></span> - Method in class thesis.<a href="../thesis/Lease.html" title="class in thesis">Lease</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Residence.html#getLocation()">getLocation()</a></span> - Method in class thesis.<a href="../thesis/Residence.html" title="class in thesis">Residence</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Vehicles/vehicle.html#getModel()">getModel()</a></span> - Method in class Vehicles.<a href="../Vehicles/vehicle.html" title="class in Vehicles">vehicle</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Occasion.html#getOccasion()">getOccasion()</a></span> - Method in class thesis.<a href="../thesis/Occasion.html" title="class in thesis">Occasion</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Parking_Space.html#getOccupied()">getOccupied()</a></span> - Method in class thesis.<a href="../thesis/Parking_Space.html" title="class in thesis">Parking_Space</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Vehicles/vehicle.html#getPrice()">getPrice()</a></span> - Method in class Vehicles.<a href="../Vehicles/vehicle.html" title="class in Vehicles">vehicle</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Private_new.html#getPrivate_new()">getPrivate_new()</a></span> - Method in class thesis.<a href="../thesis/Private_new.html" title="class in thesis">Private_new</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Vehicles/Conventional.html#getRange()">getRange()</a></span> - Method in class Vehicles.<a href="../Vehicles/Conventional.html" title="class in Vehicles">Conventional</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/Parking_Space.html#getType()">getType()</a></span> - Method in class thesis.<a href="../thesis/Parking_Space.html" title="class in thesis">Parking_Space</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#give_nr_cars()">give_nr_cars()</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../thesis/agents.html#goToWork()">goToWork()</a></span> - Method in class thesis.<a href="../thesis/agents.html" title="class in thesis">agents</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
